{
  pkgs,
  ...
}:
{
  imports = [
    ./homebrew.nix
    ./programs.nix
    ./system.nix
    # ./settings.nix
  ];

  # List packages installed in system profile. To search by name, run:
  # $ nix-env -qaP | grep wget
  environment = {
    variables = {
      NH_OS_FLAKE = "/Users/mattjallen/nix-config";
    };
    systemPackages = with pkgs; [
      attic-client
      macpm
      mas
      nh
    ];
  };

  security.pam.services.sudo_local.touchIdAuth = true;

  users.users.mattjallen = {
    name = "mattjallen";
    home = "/Users/mattjallen";
  };

  nix = {
    linux-builder = {
      enable = true;
      config = (
        { ... }:
        {
          virtualisation.cores = 6;
          environment.etc."ccache.conf".text = ''
            remote_storage: redis://jallen-nas.local:6363
            remote_only: true
          '';
          # programs.ccache.cacheDir = "/etc/ccache";
          systemd.tmpfiles.rules = [
            # "d /var/cache/ccache 0770 builder nixbld -"
            "p+ /var/cache/ccache/ccache.conf - - - - /etc/ccache.conf"
          ];
        }
      );
    };
  };

  nix-rosetta-builder = {
    enable = false;
    onDemand = true;
  };
}
